import os
import tempfile

class pyplugin:
    def build_wheel(self, wheel_directory, config_settings=None,
                    metadata_directory=None):
        with tempfile.TemporaryDirectory(dir=wheel_directory) as tmp_dist_dir:
            with open(os.path.join(tmp_dist_dir, "test"), "w") as f:
                f.write("1")
        return "test"

    def prepare_metadata_for_build_wheel(metadata_directory, config_settings=None):
        os.mkdir(os.path.join(metadata_directory, "sponge_pyplugin-0.1.dist-info"))
        
        return "sponge_pyplugin-0.1.dist-info"

    def build_sdist(self, sdist_directory, config_settings=None):
        return "test"